Subject: Re: [PATCH net-next] selftests: net: include lib/sh/*.sh with lib.sh

From: Petr Machata <[email-masked]>
Date: Mon, 4 Nov 2024 15:00:03 +0100

"Matthieu Baerts (NGI0)" <[email-masked]> writes:

> Recently, the net/lib.sh file has been modified to include defer.sh from
> net/lib/sh/ directory. The Makefile from net/lib has been modified
> accordingly, but not the ones from the sub-targets using net/lib.sh.
>
> Because of that, the new file is not installed as expected when
> installing the Forwarding, MPTCP, and Netfilter targets, e.g.
>
>   # make -C tools/testing/selftests TARGETS=net/mptcp install \
>         INSTALL_PATH=/tmp/kself
>   # cd /tmp/kself/
>   # ./run_kselftest.sh -c net/mptcp
>     TAP version 13
>     1..7
>     # timeout set to 1800
>     # selftests: net/mptcp: mptcp_connect.sh
>     # ./../lib.sh: line 5: /tmp/kself/net/lib/sh/defer.sh: No such file
>       or directory
>     # (...)
>
> This can be fixed simply by adding all the .sh files from net/lib/sh
> directory to the TEST_INCLUDES variable in the different Makefile's.
>
> Fixes: a6e263f125cd ("selftests: net: lib: Introduce deferred commands")
> Signed-off-by: Matthieu Baerts (NGI0) <[email-masked]>

Gah, I knew moving this to a separate module would end up biting us.
Well, hopefully the wildcard takes care of this once and for all.
Thanks for the fix!

Reviewed-by: Petr Machata <[email-masked]>